<template>
  <nuxt-link
    class="items"
    :to="'/' + product.shared_url"
    :class="[swiperslide != null ? swiperslide : '']"
  >
    <span class="ava">
      <img
        v-if="product.thumbnail != '/'"
        class="lazyload"
        data-sizes="auto"
        :data-srcset="
          resizeImage(baseImageUrl + product.thumbnail, 154, 154) +
          ' 200w, ' +
          resizeImage(baseImageUrl + product.thumbnail, 154, 154) +
          ' 300w'
        "
        src="/images/placeholder/placeholder.jpg"
        alt="product image"
      />
      <img
        v-else
        src="/images/placeholder/placeholder.jpg"
        alt="product image"
      />
    </span>
    <div class="content">
      <h4 class="name">
        <span>{{ product.name }}</span>
      </h4>
      <div class="ch">
        <strong>{{ product.number_options }}</strong>
        cấu hình tùy chọn
      </div>
      <div class="more">
        <div v-if="product.outstandings.length" class="description">
          <span v-for="(out, index) in product.outstandings" :key="out">
            {{ out }}{{ product.outstandings.length - 1 > index ? ', ' : '' }}
          </span>
        </div>
      </div>
      <div class="price">
        Giá từ:
        <strong>
          {{ (product.sale_from_price || product.from_price) | formatNumber }}
        </strong>
        <div v-if="product.sale_from_price" class="price_old">
          {{ product.from_price | formatNumber }}
        </div>
      </div>
      <div v-if="product.options.length > 1" class="note">
        <svg-icon name="color-wheel"></svg-icon>
        Nhiều màu sắc
      </div>
      <div v-if="product.options.length > 1" class="changer_color">
        <div>{{ isColor }}</div>
        <ul>
          <!-- eslint-disable-next-line vue/no-use-v-if-with-v-for -->
          <li
            v-for="(option, index) in product.options"
            :key="index"
            :class="index === 0 ? 'active' : ''"
          >
            <span class="mode" @mouseenter="changeColor(option.color)">
              <img
                v-if="option.thumbnail != '/'"
                :src="resizeImage(baseImageUrl + option.thumbnail, 32, 32)"
                alt="color"
              />
              <img
                v-else
                src="/images/placeholder/placeholder-small.svg"
                alt="color"
              />
            </span>
          </li>
        </ul>
      </div>
    </div>
  </nuxt-link>
</template>

<script>
import Helper from '../../assets/config'

export default {
  name: 'ProductItemReview',
  // eslint-disable-next-line vue/require-prop-types
  props: ['product', 'swiperslide'],
  data() {
    return {
      isColor: '',
    }
  },
  computed: {
    baseImageUrl() {
      return Helper.baseImageUrl
    },
  },
  mounted() {
    if (this.product.options.length > 0) {
      this.isColor = this.product.options[0].color
    }
  },
  methods: {
    resizeImage(url, width, height) {
      return Helper.resizeImage(url, width, height)
    },
    changeColor(color) {
      this.isColor = color
    },
  },
}
</script>

<style></style>
